---
title: Mail Methods
---

<%= warning "Spree mail settings has been extracted out into a gem in favor of generic action mailer settings." %>

## Introduction

As this has been extracted, please be sure to add [spree_mail_settings](https://github.com/spree-contrib/spree_mail_settings) to your Gemfile before proceeding if you desire this behavior.

The configurable components of your Spree site are managed in the Mail Method Settings panel. You can reach this by going first to the Admin Interface, clicking "Configuration" and then "Mail Method Settings".

![Mail Method Settings](/images/user/config/mail_method_settings.jpg)

### Enable Mail Delivery

Checking the "Enable Mail Delivery" option will cause all of the confirmation and notification emails the Spree shopping cart system generates to be sent. You may want to disable this option if you want to test other functionality of the store without sending bogus emails.

### Send Mails As

Set this to the email address you want to use as the "From" line on emails that are auto-generated by your store.

### Send Copy of All Mails To

You may want to keep track of the emails your store sends, especially if you are newly launching your e-commerce business. If so, you can configure the system to send a copy of all confirmation and notification emails to the email address you input for this setting.

### Intercept Email Address

Setting this option causes any notification emails to be re-routed to the email address you declare.

### SMTP Settings

The SMTP Mail Method settings allow you to fully configure your Spree store's server to send out email messages via [SMTP - Simple Mail Transfer Protocol](http://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol). A full explanation of how SMTP works is beyond the scope of this user guide, but any changes you or your site's developer need to make can be done through this area of your Admin Interface.
