---
title: Deleting Products
section: deleting_products
---

## Introduction

To delete a product in your store, go into the Admin Interface and click the "Products" tab. A list of your store's product inventory will appear. Find the product that you would like to delete and click the "Delete" icon on the right to remove it from your store.

![Deleting a Product](/images/user/products/delete_products_icon.jpg)

A message will appear asking you to confirm that you want to delete the product. Click "OK".

## Viewing

Deleted products no longer appear in the customer-facing area of your store. However, they do remain in your product database. To view products that have been deleted from your store, go to the "Products" tab in the Admin Interface and find the "Search" section. Do not enter anything in the "Name" or "SKU" fields. Check the "Show Deleted" box and click "Search". The search results will return a list of your entire product inventory including active and deleted products.

![Search for Deleted Products](/images/user/products/show_deleted_products.jpg)

## Re-activating

To re-activate a deleted product, find the product in your inventory following the steps [above](#viewing). Deleted products will only have the "Clone" icon next to them, whereas active products will have the "Edit", "Clone", and "Delete" icons next to them. Click the "Clone" icon to the right of the deleted product.

![Clone a Deleted Product](/images/user/products/clone_deleted_product.jpg)

This will create a copy of the product, and it will now appear in your product inventory list as "COPY OF" with the product name appended afterward. A new permalink and SKU will also be created for the product. Follow the instructions from the [Cloning guide](cloning_products) to modify the information for this product.